<?php
//die('Hello World');

class Widgets_Elementor_tsplayer
{
    protected static $instance_tsplayer = null;
    public static function get_instance()
    {
        if (!isset(static::$instance_tsplayer)) {
            static::$instance_tsplayer = new static;
        }

        return static::$instance_tsplayer;
    }

    protected function __construct()
    {
        if (is_plugin_active('elementor/elementor.php')) {

            require_once('widget-tsplayer.php');


            add_action('elementor/widgets/widgets_registered', [$this, 'register_widgets_tsplayer']);
        }
    }

    public function register_widgets_tsplayer()
    {
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Elementor\TsPlayer_Widget());
    }
}


add_action('init', 'my_elementor_init_tsplayer');
function my_elementor_init_tsplayer() {
    Widgets_Elementor_tsplayer::get_instance();
}

function add_elementor_widget_categories_tsplayer($elements_manager) {
	$elements_manager->add_category(
		'first-category',
		[
			'title' => esc_html__( 'TSPLAYER', 'textdomain' ),
			'icon' => 'fa fa-plug',
		]
	);
}
add_action('elementor/elements/categories_registered', 'add_elementor_widget_categories_tsplayer');


if (!function_exists('is_plugin_active')) {
    require_once ABSPATH . 'wp-admin/includes/plugin.php';
}