<?php
/*
 * Plugin Name: TSPLAYER
 * Description: پلیر موزیک پیشرفته تقویت بیس و کیفیت صدا اعمال api  فیلتر های صوتی روی موزیک ، ویجت اختصاصی المنتور با قابلیت شخصی سازی یا استفاده بصورت شورت کد ، این افزونه با المنتور کاملاُ سازگاری دارد . (( [tsplayer src="URL AUDIO"] ))
 * Author: 𝓉𝒶ℎ𝒶𝓈𝒾𝓉ℯ
 * Version: 1.5.7
 * Author URI: https://tahasite.ir
 * Tested up to: 3.11.1
 * Requires PHP: 7.4
*/

require_once(plugin_dir_path(__FILE__) . '/widget/widgets-elementor.php');

function custom_audio_player_enqueue_scripts()
{
    wp_enqueue_style('custom-audio-player-style', plugin_dir_url(__FILE__) . '/css/progres-bar.css');
    wp_enqueue_script('custom-audio-player-script', plugin_dir_url(__FILE__) . '/js/player.js', array('jquery'), '1.0', true);
    wp_enqueue_script('code', plugin_dir_url(__FILE__) . '/js/code.js', array('jquery'), '1.0', true);
    wp_enqueue_script('jquery');
}
add_action('wp_enqueue_scripts', 'custom_audio_player_enqueue_scripts');

function custom_audio_shortcode($atts)
{
    $atts = shortcode_atts(array(
        'src' => '',
        'preload' => 'none',
        'data-size' => '250',
        'id' => uniqid('mediPlayer_'),
    ), $atts);

    ob_start();
?>
    <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
    <div class="mediPlayer" id="<?php echo esc_attr($atts['id']); ?>">
        <audio id="music" class="listen" loop preload="<?php echo esc_attr($atts['preload']); ?>" data-size="<?php echo esc_attr($atts['data-size']); ?>" src="<?php echo esc_url($atts['src']); ?>"></audio>
    </div>
<?php
    return ob_get_clean();
}

add_shortcode('tsplayer', 'custom_audio_shortcode');

?>